#[derive(Copy, Clone, Debug, PartialEq)]
pub struct Position {
    level: u8,
    x: u16,
    y: u16,
}

impl Position {
    pub fn new(level: u8, x: u16, y: u16) -> Self {
        Self {
            level,
            x,
            y,
        }
    }
    pub fn get_level(&self) -> u8 {
        self.level
    }

    pub fn get_x(&self) -> u16 {
        self.x
    }

    pub fn get_y(&self) -> u16 {
        self.y
    }
}